System.Web 2.0.0.0 System.Configuration.ConfigurationElement

The contains objects, which correspond to the add elements within the namespaces section. Each object is the same as an Import (<%@ Import %>) directive that applies to all pages and controls in the scope of the configuration file. The Import directive allows you to import a namespace into your ASP.NET page, making all its classes available for use on your page.

Contains a single configuration namespace reference, similar to the Import directive. This class cannot be inherited.

- Constructor

  No validation is performed to verify that the namespace reference is valid.

  Initializes a new instance of the class with the specified namespace reference.

  A namespace reference for the new object.
  2.0.0.0
- Method
  System.Boolean `` To be added.

  Compares the current instance to the passed object.

  true if the two objects are identical.

  A object to compare to. 2.0.0.0
- Method
  System.Int32 To be added.

  Returns a hash value for the current instance.

  A hash value for the current instance.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("namespace", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added.

  No validation is performed to verify that the namespace reference is valid.

  Gets or sets the namespace reference.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a collection of all the properties belonging to this .

  2.0.0.0